@import "./normalize.min.css";
@import './variables.css';
@import './components.css';
@import './layouts.css';

* {
  box-sizing: border-box;
  font-family: "Titillium Web";
}

html {
  color: #222;
  font-size: 1em;
  line-height: 1;
}

body {
  background-color: var(--white-color);
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: black;
}

h1, h2, h3, h4, h5, h6, p {
  margin: 0;
  padding: 0;
}

button {
  outline: none;
  border: none;
  padding: 0;
  margin: 0;
}

input:hover,
input,
input:focus,
textarea {
  outline: none;
}

input,
textarea {
  border: none;
}

.header {
  padding: 57px 30px 0 60px;
  width: var(--main-width-laptop);
  display: flex;
  justify-content: space-between;
  position: absolute;
  top: 0;
  left: calc(50% - var(--main-width-laptop)/2);
}

.buger-button, #check-burger {
  display: none;
}

.buger-button span {
  position: absolute;
  width: 100%;
  display: inline-block;
  height: 6px;
  background-color: var(--white-color);

  transition: linear 0.1s;
}

.buger-button span:nth-child(2) {
  top: 15px;
}
 
.buger-button span:nth-child(3) {
  top: 30px;
}


/* MAIN SECTION */
.main-section {
  background-color: var(--bg-main-color);
  height: 100vh;
}

.main-section__content {
  max-width: 906px;
  padding-top: 84px;
  text-align: center;
}

.main-section__header_text {
  font-size: 42px;
  font-weight: 700;
  line-height: 48.82px;
  color: #f7f3ea;
  margin-bottom: 54px;
}


/* SERVICES-SECTION */

.services-section {
  background-color: var(--bg-services-color);
}

.list-services {
  width: 1030px;
}

/* TEAM-SECTION */ 

.team-section {
  background-color: var(--bg-team-color);
}

.team-section .list-cards {
  width: 1040px;
}

.team-section .list-cards__element {
  justify-content: space-between;
}

.team-section .list-cards__header {
  margin-bottom: 15px;
}

.list-cards__avatar img {
  max-width: 200px;
  max-height: 200px;
  border-radius: 50%;
}

.list-cards__avatar {
  margin-bottom: 41px;
}

.team-section .list-cards__descr {
  margin-bottom: 29px;
}

.list-icons {
  display: flex;
}

.list-icons__link {
  display: flex;
  justify-content: center;
  align-items: center;

  width: 32px;
  height: 32px;
  border-radius: 50%;
  background-color: #bdd1df;
  color: white;

  transition: ease-out 0.1s;
}

/* mod */
.list-icons__link--facebook:hover {
  background-color: var(--color-facebook);
}

.list-icons__link--twitter:hover {
  background-color: var(--color-twitter);
}

.list-icons__link--linked:hover {
  background-color: var(--color-linked);
}

.list-icons__link--gmail:hover {
  background-color: var(--color-gmail);
}



.list-icons li {
  margin-right: 12px;
}

.list-icons li:last-child {
  margin-right: 0;
}

/* SKILLS-SECTION */

.skills-section {
  color: var(--bg-skills-color);
}

.skills-section .list-cards {
  width: 1000px;
}

/* --------------------------- circle-progress START */

.list-cards__progress {
  margin-bottom: 32px;
  position: relative;
}

#circ {
  fill:transparent;
  stroke-width: 13;
  stroke-dasharray: var(--circle-dasharray);
  stroke-dashoffset:0;
}

.list-cards__progress:before {
  content: '';
  width: 138px;
  height: 138px;
  border-radius: 50%;
  border: 11px solid #dfe8ed;
  display: inline-block;
  position: absolute;
  z-index: -1;
}


.list-cards__progress p {
  font-weight: 300;
  color: var(--dark-blue-color);
  font-size: 50px;
  position: absolute;
  top: calc(50% - 25px);
  left: 0;
  right: 0;
}

.list-cards__progress p:after{
  content: '%';
  font-size: 30px;
} 

/* mod */
.list-cards__progress--web #circ{
  stroke: var(--circle-web);
  stroke-dashoffset: var(--res-a);
}
.list-cards__progress--css #circ{
  stroke: var(--circle-css);
  stroke-dashoffset: var(--res-b);
}
.list-cards__progress--graphic #circ{
  stroke: var(--circle-graphic);
  stroke-dashoffset: var(--res-c);
}
.list-cards__progress--ui #circ{
  stroke: var(--cicle-ui);
  stroke-dashoffset: var(--res-d);
}

.skills-section .list-cards__header {
  margin-bottom: 0;
}

/* --------------------------- circle-progress END */

/* PORTFOLIO-SECTION */

.portfolio-section {
  background-color: var(--bg-portfolio-color);
}

.portfolio-section .inner-head {
  margin-bottom: 42px;
}

.portfolio-section .main_nav {
  margin-bottom: 62px;
}

.portfolio-section .list-cards {
  width: 1102px;
  margin-bottom: 83px;
}

.portfolio-section .list-cards {
  flex-wrap: wrap;
}

.portfolio-section .list-cards__element {
  margin-bottom: 64px;
  width: 50%;
}

.portfolio-section .list-cards__img-wrap {
  padding-top: 17px;
  display: inline-block;
  margin-bottom: 30px;
  background: no-repeat url(../img/portfolio/laptop.png);
  width: 541px;
  height: 311px;
}

.portfolio-section .list-cards__img-wrap img {
  width: 100%;
  max-width: 413px;
  height: 260px;
  border-style: solid;
}

.portfolio-section .list-cards__header {
  margin-bottom: 0;
  font-size: 18px;
  font-weight: 400;
  letter-spacing: 0.36px;
}

.portfolio-section .list-cards__element:last-child,
.portfolio-section .list-cards__element:nth-child(3) {
  margin-bottom: 0;
}

/* ABOUT-US-SECTION */

.about-us-section {
  background-color: var(--bg-about-us-color);
}


.about-us-section .list-cards {
  width: 1100px;
  flex-wrap: wrap;
}

.about-us-section .list-cards__element {
  width: 500px;
  margin-bottom: 140px;
  flex-direction: row;
  align-items: flex-start;
}

.about-us-section .list-cards__element:last-child,
.about-us-section .list-cards__element:nth-child(3) {
  margin-bottom: 0;
}

.about-us-section .list-cards__avatar  {
  margin: 0 48px 0 0;
}

.about-us-section .list-cards__avatar img {
  width: 96px;
  height: 96px;
}

.about-us-section .list-cards__post {
  color: #ffdd99;
  font-size: 18px;
  margin-bottom: 0;
}

.about-us-section .list-cards__header {
  margin-bottom: 5px;
}

.list-cards__about {
  text-align: left;
  max-width: 350px;
}

.list-cards__about .list-cards__descr {
  font-style: italic;
  font-size: 21px;
  line-height: 31.2px;
  margin-bottom: 20px;
}

/* FORMS-SECTION */ 

.forms-section {
  background-color: var(--bg-forms-color); 
}

.forms-section .form-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 860px;
}

.form-wrap .form-wrap__info,
.form-wrap .form-wrap__message {
  background-color: #273a71;
  border-radius: 4px;

  color: var(--white-color);
  opacity: 1;
}

.form-wrap .form-wrap__placeholder {
  content: '';
  color: var(--white-color);
  position: absolute;
  top: 19px;
  left: 25px;
  cursor: text;
  display: none;
  opacity: 1;
}

.form-wrap .form-wrap__placeholder::after {
  content: '*';
  color: red;
}

.form-wrap__placeholder:focus {
  opacity: 0;
}


.form-wrap__row {
  display: flex;
  margin-bottom: 27px;
  width: 100%;
}

.form-wrap__row label {
  flex-basis: 50%;
  z-index: 2;
  position: relative;
}

.form-wrap__row label:first-child {
  margin-right: 32px;
}

.form-wrap__info {
  width: 100%;
  height: 57px;
  padding: 0 25px 0;
}

.form-wrap__message {
  padding: 15px 25px;
}

.form-wrap__message::-webkit-resizer {
  background-image: url("../img/svg/forms/Arrow.svg");
  background-repeat: no-repeat;
  top: 10px;
  z-index: 1000;
}

.form-wrap__info:last-child {
  margin-right: 0;
}

.form-wrap__label-ta {
  width: 100%;
  margin-bottom: 60px;
  position: relative;
}


.form-wrap__info:invalid + .form-wrap__placeholder,
.form-wrap__message:invalid + .form-wrap__placeholder {
  display: inline;
}

.form-wrap__info:focus + .form-wrap__placeholder,
.form-wrap__message:focus + .form-wrap__placeholder {
  opacity: 0;
  transition: ease-out 0.1s;
}

.form-wrap__message {
  width: 100%;
  min-height: 200px;
  position: relative;
}

/* FOOTER-BLOCK */

.footer {
  padding: 48px 25px 41px;
  background-color: var(--bg-footer-color);
}

.footer-list {
  display: flex;
  justify-content: space-between;
  width: 940px;
  margin: 0 auto;
}

.footer-list__elements a{
  font-size: 24px;
  font-weight: 400;
  color: var(--white-color);
}

.footer-list__elements a:hover {
  color: #30bae7;
}



/* -------------------- BREAKPOINTS ----------------------- */



@media (max-width: 1199px) {
  /* COMPONENTS */ 
  .services-section .list-cards,
  .team-section .list-cards,
  .skills-section .list-cards,
  .portfolio-section .list-cards,
  .about-us-section .list-cards {
    width: 100%;
  }

  .main-block section {
    padding: 0 25px;
  }

  /* HEADER */

  .header {
    width: 100%;
    left: 0;
  }

  /* MAIN */

  /* SERVICES */

  .services-section .list-cards {
    flex-wrap: wrap;
  }

  .services-section .list-cards__element,
  .services-section .list-cards__descr {
    width: 50%;
  }
  
  .services-section .list-cards__element:first-child,
  .services-section .list-cards__element:nth-child(2) {
    margin-bottom: 60px;
  }

  /* TEAM */
  .team-section .list-cards {
    flex-wrap: wrap;
  }
  .team-section .list-cards__element {
    width: 50%;
    margin-bottom: 60px;
  }
  
  .team-section .list-cards__element:last-child,
  .team-section .list-cards__element:nth-child(3) {
    margin-bottom: 0;
  }

  .team-section .list-cards__descr {
    width: 50%;
  }

  /* PORTFOLIO */
  .portfolio-section .list-cards__element {
    width: 100%;
  }

  .portfolio-section .list-cards__element:nth-child(3) {
    margin-bottom: 64px ;
  }

  /* ABOUT-US */
  .about-us-section .list-cards {
    justify-content: center;
  }

  .about-us-section .list-cards__element {
    width: 100%;
    justify-content: center;
    margin-bottom: 80px;
  }
  
  .about-us-section .list-cards__element:nth-child(3) {
    margin-bottom: 80px;
  } 

  /* FORMS */

  .forms-section .form-wrap {
    width: 100%;
  }

  /* FOOTER */
  .footer-list {
    width: 100%;
  }
}

@media (max-width: 991px) {

 

  /* COMPONENTS */ 

  /* HEADER */

  .header {
    padding: 30px 30px 0 60px;
    align-items: center;
  }
  
  /* MAIN */

  /* SERVICES */

  /* TEAM */

  /* SKILLS */
  .skills-section .list-cards {
    flex-wrap: wrap;
  }

  .skills-section .list-cards__element {
    width: 50%;
  }
  
  .skills-section .list-cards__element:first-child,
  .skills-section .list-cards__element:nth-child(2) {
    margin-bottom: 60px;
  }

  /* PORTFOLIO */

  /* ABOUT-US */

  /* FORMS */

  .forms-section .form-wrap__row {
    flex-wrap: wrap;
  }

  .form-wrap__row label {
    flex-basis: 100%;
    margin-right: 0;
  }

  .form-wrap__row label:first-child {
    margin-bottom: 27px;
    margin-right: 0;
  }

  /* FOOTER */

  .footer-list__elements a {
    font-size: 18px;
  }

}

@media (max-width: 767px) {

 /* BURGER-MENU --- STYLES */
 .buger-button {
  display: inline-block;
  height: 30px;
  width: 40px;
  border-radius: 2px;

  position: relative;
  cursor: pointer;

  transition: linear 0.2s;
}

.burger-button span:first-child {
  top: 15px;
}

.buger-button:hover span {
  background-color: #000;
}

#check-burger {
  display: none;
}

#check-burger + .main_nav {
  height: 0px;
  background-color: #643a79;
}

#check-burger:checked + .main_nav {
  height: calc(100vh - 100px);
}

.header .main_nav {
  transition: ease-out 0.1s;
  overflow: hidden;
  display: block;
  position: absolute;
  top: 100px;
  left: 0;

  text-align: center;
  width: 100%;
}

.header .main_nav__link {
  background-color: #643a79;
  border-bottom: 1px solid #6a5077;
}

.header .main_nav__elem {
  margin: 0;
}

.header .main_nav__link:hover {
  background-color: #6a5077;
}

.header .main_nav__link {
  width: 100%;
  padding: 20px 0;
  font-size: 24px;
  font-weight: bold;
}
  /* COMPONENTS */ 

  .content-wrap {
    padding: 80px 0;
  }

  .main-button {
    padding: 18px 10px 14px;
    min-width: 193px;
  }

  /* HEADER */

  .main-section__header_text {
    font-size: 30px;
  }

  /* MAIN */

  /* SERVICES */

  .services-section .list-cards__descr {
    width: 90%;
  }

  /* TEAM */

  .team-section .list-cards__descr {
    width: 80%;
  }

  /* SKILLS */

  /* PORTFOLIO */

  /* ABOUT-US */

  /* FORMS */

  /* FOOTER */
}

@media (max-width: 575px) {

  /* BURGER-MENU */

  #check-burger:checked + .main_nav {
    height: calc(100vh - 86px);
  }

  /* ----------- COMPONENTS ----------- */ 

  /* .main-button {
    width: 100%;
  } */
  
  .inner-head {
    margin-bottom: 50px;
  }

  .inner-head__header {
    font-size: 25px;
  }

  /* HEADER */

  .header {
    padding: 27px 20px 0;
  }

  .header .main_nav {
    top: 86px;
  }

  .main-section__header_text {
    margin-bottom: 24px;
    line-height: 1;
  }

  /* MAIN */

  /* SERVICES */

  .services-section .list-cards__element {
    width: 100%;
  }

  .services-section .list-cards__img-wrap {
    margin-bottom: 25px;

  }

  .services-section .list-cards__header {
    font-size: 20px;
    margin-bottom: 15px;
  }

  .services-section .list-cards__element:nth-child(3) {
    margin-bottom: 60px;
  }

  /* TEAM */

  .team-section .list-cards__element {
    width: 100%;
  }

  .team-section .list-cards__avatar {
    margin-bottom: 20px;
  }

  .team-section .list-cards__post {
    margin-bottom: 15px;
  }

  .team-section .list-cards__descr {
    text-align: justify;
  }

  .team-section .list-cards__element:nth-child(3) {
    margin-bottom: 60px;
  }

  /* SKILLS */

  .skills-section .list-cards__element {
    width: 100%;
  }

  .skills-section .list-cards__element:nth-child(3) {
    margin-bottom: 60px;
  }

  /* PORTFOLIO */

  .portfolio-section .main_nav {
    margin-bottom: 30px;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
  }

  .portfolio-section .main_nav__elem {
    width: 60%;
    margin: 0 0 15px 0;
  }

  .portfolio-section .main_nav__elem:last-child {
    margin-bottom: 0;
  }

  .portfolio-section .list-cards__img-wrap {
    width: 100%;
    height: 100%;
    background-size: 100%;
    padding-top: 3%;
    padding-bottom: 7%;
  }

  .portfolio-section .list-cards__img-wrap img {
    width: 76%;
    height: 100%;
  }

  /* ABOUT-US */

  .about-us-section .list-cards__element {
    flex-wrap: wrap;
  }

  .list-cards__about .list-cards__descr {
    text-align: justify;
    font-size: 18px;
    line-height: 25px;
  }

  .about-us-section .list-cards__about {
    text-align: right;
  }

  .about-us-section .list-cards__avatar {
    margin: 0 0 20px 0;
    width: 100%;
  }

  .about-us-section .list-cards__element,
  .about-us-section .list-cards__element:nth-child(3) {
    margin-bottom: 60px;
  }

  /* FORMS */

  /* FOOTER */

  .footer {
    padding: 25px;
  }

  .footer-list {
    flex-wrap: wrap;
    text-align: center;
  }

  .footer-list__elements {
    width: 100%;
  }

  .footer-list__elements a {
    width: 100%;
    display: inline-block;
    padding: 15px 0;
  }

  .footer-list__elements a:hover {
    background-color: rgba(255, 255, 255, 0.158);
  }
}